Rechte ändern
Rechte einer Datei oder eines Verzeichnisses im Webspace-Home ändern.
Rechte einer Datei oder eines Verzeichnisses im Webspace-Home ändern.
Erforderlicher Scope: webspace:manage
| Header | Erforderlich | Wert |
|---|---|---|
Authorization |
Ja | Bearer DEIN_API_SCHLÜSSEL |
Content-Type |
Ja | application/json |
| Parameter | Erforderlich | Beschreibung |
|---|---|---|
path |
Ja | Absoluter Pfad innerhalb ~/. |
mode |
Ja | Oktal-String ("0755") oder Dezimalwert (0–4095). |
{ "data": { "path": "/home/ws_0862c/public_html/index.php", "mode": "0644" } }
| Status | Code | Beschreibung |
|---|---|---|
| 400 | INVALID_MODE |
mode ist kein gültiger Oktal-String oder Dezimalwert. |
curl -X POST https://hosting.site.quest/api/v1/webspaces/69e80ac1.../sftp/chmod \
-H "Authorization: Bearer sq_live_..." \
-H "Content-Type: application/json" \
-d '{ "path": "/home/ws_0862c/public_html/index.php", "mode": "0644" }'
Diese Aktion ist auch über das webspace_chmod MCP-Tool verfügbar.